searchNodes=[{"doc":"This clustering strategy is specific to the Consul service networking solution. It works by querying the platform's metadata API for containers belonging to a given service name and attempts to connect them (see: https://www.consul.io/api/catalog.html).There is also the option to require connecting to nodes from different datacenters, or you can stick to a single datacenter.It assumes that all nodes share a base name and are using longnames of the form &lt;basename&gt;@&lt;ip&gt; where the &lt;ip&gt; is unique for each node.The Consul service registration isn't part of this module as there are many different ways to accomplish that, so it is assumed you'll do that from another part of your application.An example configuration is below:config :libcluster, topologies: [ consul_example: [ strategy: Elixir.Cluster.Strategy.Consul, config: [ # The base agent URL. base_url: &quot;http://consul.service.dc1.consul:8500&quot;, # If authentication is needed, set the access token here. access_token: &quot;036c943f00594d9f97c10dec7e48ff19&quot;, # Nodes list will be refreshed using Consul on each interval. polling_interval: 10_000, # The Consul endpoints used to fetch service nodes. list_using: [ # If you want to use the Agent HTTP API as specified in # https://www.consul.io/api/agent.html Cluster.Strategy.Consul.Agent # If you want to use the Health HTTP Endpoint as specified in # https://www.consul.io/api/health.html {Cluster.Strategy.Consul.Health, [passing: true]}, # If you want to use the Catalog HTTP API as specified in # https://www.consul.io/api/catalog.html Cluster.Strategy.Consul.Catalog, # If you want to join nodes from multiple datacenters, do: {Cluster.Strategy.Consul.Multisite, [ datacenters: [&quot;dc1&quot;, &quot;dc2&quot;, &quot;dc3&quot;, ...], endpoints: [ ... further endpoints ... ] ]}, # You can also list all datacenters: {Cluster.Strategy.Consul.Multisite, [ datacenters: :all, endpoints: [ ... further endpoints ... ] ]}, ] # All configurations below are defined as default for all # children endpoints. # Datacenter parameter while querying. dc: &quot;dc1&quot;, # The default service for children endpoints specifications. service: [name: &quot;service_name&quot;], # NOTE: # Alternatively one could specify id for the service using # service: [id: &quot;service_id&quot;] # The keyword list should contain only one of them, either id or name. # This is the node basename, the Name (first) part of an Erlang # node name (before the @ part. If not specified, it will assume # the same name as the current running node. # The final node name will be &quot;node_basename@&lt;host_or_ip&gt;&quot; node_basename: &quot;app_name&quot;, ]]]The generic response of the Consul endpoints includes respective service's hostname of the node as well as it's IP. It is possible to establish connection using hostname exclusively by using following configuration. To retrieve only passing services :passing can be set to true which might be ignored if the API endpoint does not support health status.{Cluster.Strategy.Consul.Agent, [expected: :host, passing: true]}","ref":"Cluster.Strategy.Consul.html","title":"Cluster.Strategy.Consul","type":"behaviour"},{"doc":"","ref":"Cluster.Strategy.Consul.html#base_url/1","title":"Cluster.Strategy.Consul.base_url/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Cluster.Strategy.Consul.html#child_spec/1","title":"Cluster.Strategy.Consul.child_spec/1","type":"function"},{"doc":"","ref":"Cluster.Strategy.Consul.html#get_nodes/1","title":"Cluster.Strategy.Consul.get_nodes/1","type":"function"},{"doc":"","ref":"Cluster.Strategy.Consul.html#c:get_nodes/1","title":"Cluster.Strategy.Consul.get_nodes/1","type":"callback"},{"doc":"","ref":"Cluster.Strategy.Consul.html#headers/1","title":"Cluster.Strategy.Consul.headers/1","type":"function"},{"doc":"","ref":"Cluster.Strategy.Consul.html#node_name/2","title":"Cluster.Strategy.Consul.node_name/2","type":"function"},{"doc":"Callback implementation for Cluster.Strategy.start_link/1.","ref":"Cluster.Strategy.Consul.html#start_link/1","title":"Cluster.Strategy.Consul.start_link/1","type":"function"},{"doc":"This endpoint grab nodes from Consul using the Agent HTTP API.","ref":"Cluster.Strategy.Consul.Agent.html","title":"Cluster.Strategy.Consul.Agent","type":"module"},{"doc":"This endpoint grab nodes from Consul using the Catalog HTTP API.","ref":"Cluster.Strategy.Consul.Catalog.html","title":"Cluster.Strategy.Consul.Catalog","type":"module"},{"doc":"","ref":"Cluster.Strategy.Consul.Endpoint.html","title":"Cluster.Strategy.Consul.Endpoint","type":"behaviour"},{"doc":"","ref":"Cluster.Strategy.Consul.Endpoint.html#c:build_url/2","title":"Cluster.Strategy.Consul.Endpoint.build_url/2","type":"callback"},{"doc":"","ref":"Cluster.Strategy.Consul.Endpoint.html#get_nodes/2","title":"Cluster.Strategy.Consul.Endpoint.get_nodes/2","type":"function"},{"doc":"","ref":"Cluster.Strategy.Consul.Endpoint.html#c:parse_response/2","title":"Cluster.Strategy.Consul.Endpoint.parse_response/2","type":"callback"},{"doc":"","ref":"Cluster.Strategy.Consul.Endpoint.html#t:ip/0","title":"Cluster.Strategy.Consul.Endpoint.ip/0","type":"type"},{"doc":"This endpoint grab nodes from Consul using the Health HTTP API.The only extra parameter adopted by this endpoint is the passing option. If true, it grabs only healthy nodes.","ref":"Cluster.Strategy.Consul.Health.html","title":"Cluster.Strategy.Consul.Health","type":"module"},{"doc":"This endpoint grab nodes from multiple datacenters using a list of Consul endpoints.","ref":"Cluster.Strategy.Consul.Multisite.html","title":"Cluster.Strategy.Consul.Multisite","type":"module"}]